#include "gestion_monde.h"

s_world *create_world(int x_begin,
					  int y_begin,
					  int w,
					  int h)
{
	s_world *world = NULL;

	world = malloc(sizeof (s_world));
	world->x_begin = x_begin;
	world->y_begin = y_begin;
	world->w = w;
	world->h = h;
	world->hero = NULL;
	world->vilains = NULL;

	return (world);
}

void free_peoples_in_world(s_world *world)

{
	free_everything_personnage(world->hero);
	free_everything_personnage_array(world->vilains);
	world->hero = NULL;
	world->vilains = NULL;
}

void free_decors_in_world(s_world *world)
{
	free_everything_decor_array(world->normal_decor);
	free_everything_sblink_decor_array(world->blinking_decor);
	world->normal_decor = NULL;
	world->blinking_decor = NULL;
}

void free_world(s_world *world)
{
	free(world);
}
