#include "gestion_ecran.h"

s_screen *create_screen(int width,
						int height,
						int x,
						int y)
{
	s_screen *screen = NULL;

	screen = malloc(sizeof (s_screen));
	screen->surface = NULL;
	screen->width = width;
	screen->height = height;
	screen->x_world = x;
	screen->y_world = y;

	return (screen);
}

void free_screen(s_screen *screen)
{
	if (screen->surface != NULL)
		SDL_FreeSurface(screen->surface);
	free(screen);
}

void update_screen_xy(s_screen *screen,
					  int new_x,
					  int new_y)
{
	screen->last_x = screen->x_world;
	screen->last_y = screen->y_world;
	screen->x_world = new_x;
	screen->y_world = new_y;
}

void update_screen_x(s_screen *screen,
					 int new_x)
{
	screen->last_x = screen->x_world;
	screen->last_y = screen->y_world;
	screen->x_world = new_x;
}

void update_screen_y(s_screen *screen,
					 int new_y)
{
	screen->last_x = screen->x_world;
	screen->last_y = screen->y_world;
	screen->y_world = new_y;
}
