#include "main.h"

int main(int argc, char **argv)
{
	SDL_Surface *ecran = NULL;
	SDL_Event event;
	simple_blinking_surface *simple_surface = NULL;
	complex_blinking_surface *complex_surface = NULL;
	sprite *megaman_x = NULL;
	char *tab1[] = {"img_devant1.bmp", "img_devant2.bmp", "img_devant3.bmp", NULL };
	char *tab2[] = {"img_devant1.bmp", "img_devant2.bmp", NULL };
	char *tab_x[] = {"x02.bmp", "x03.bmp", "x04.bmp", "x05.bmp", "x06.bmp", "x07.bmp", "x08.bmp", "x09.bmp", "x10.bmp", "x11.bmp", NULL};
	int continuer = 1;


	SDL_Init(SDL_INIT_VIDEO | SDL_INIT_TIMER);
	SDL_WM_SetCaption("Blink Test", NULL);
	//ecran = SDL_SetVideoMode(100, 50, 32, SDL_HWSURFACE | SDL_DOUBLEBUF);
	//ecran = SDL_SetVideoMode(218, 222, 32, SDL_HWSURFACE | SDL_DOUBLEBUF);
	ecran = SDL_SetVideoMode(150, 100, 32, SDL_HWSURFACE | SDL_DOUBLEBUF);

	SDL_FillRect(ecran, NULL, SDL_MapRGB(ecran->format, 255, 255, 255));

	//simple_surface = create_simple_surface("img_fond.bmp", "img_devant.bmp", 1, 20, 0, 0, 255, 0, 255);
	//simple_surface = create_simple_surface("x1_1.bmp", "x1_2.bmp", 1, 0, 0, 0, 255, 0, 255);
	complex_surface = create_complex_surface("img_fond.bmp", tab1, 1, 10, 0, 0, 255, 0, 255);

	megaman_x = create_sprite(tab_x, 0, 50, 0, 255, 0, 255);

	if ((simple_surface == NULL) && (complex_surface == NULL))
		return 42;

	while (continuer == 1)
	{
		SDL_PollEvent(&event);
        switch(event.type)
        {
            case SDL_QUIT:
                continuer = 0;
        }



		//blit_simple_blinking_surface(simple_surface, ecran);
		blit_complex_blinking_surface(complex_surface, ecran);

		blit_sprite(megaman_x, ecran);

		SDL_Flip(ecran);

		//update_simple_blinking(simple_surface);
		update_complex_blinking(complex_surface);

		update_sprite(megaman_x);

		//SDL_Delay(100);
		SDL_Delay(50);
	}

 
	//free_simple_surface(simple_surface);
	free_complex_surface(complex_surface);

	free_sprite(megaman_x);

# ifdef _DEBUG
	//surface = malloc(8);
	//MEMORY LEAK DETECTION
	_CrtDumpMemoryLeaks();
	//END MEMORY LEAK DETECTION
# endif /* !_DEBUG */

	SDL_Quit();
 
    return EXIT_SUCCESS;
}
